- ci_cd_only = local_assigns.fetch(:ci_cd_only, false)
- import_url = Gitlab::UrlSanitizer.new(f.object.import_url)

.import-url-data
  .info-well.prepend-top-20
    .well-segment
      %ul
        %li
          = html_escape(_('The repository must be accessible over %{code_open}http://%{code_close}, %{code_open}https://%{code_close} or %{code_open}git://%{code_close}.')) % { code_open: '<code>'.html_safe, code_close: '</code>'.html_safe }
        %li= html_escape(_('When using the %{code_open}http://%{code_close} or %{code_open}https://%{code_close} protocols, please provide the exact URL to the repository. HTTP redirects will not be followed.')) % { code_open: '<code>'.html_safe, code_close: '</code>'.html_safe }
        %li
          = _('If your HTTP repository is not publicly accessible, add your credentials.')
        %li
          = import_will_timeout_message(ci_cd_only)
        %li
          = import_svn_message(ci_cd_only)
        = render_if_exists 'shared/ci_cd_only_link', ci_cd_only: ci_cd_only
  .form-group
    = f.label :import_url, class: 'label-bold' do
      %span
        = _('Git repository URL')
    = f.text_field :import_url, value: import_url.sanitized_url,
        autocomplete: 'off', class: 'form-control gl-form-input', placeholder: 'https://git.thm.de/project/repository.git', required: true
    = render Pajamas::AlertComponent.new(variant: :danger,
      alert_options: { class: 'gl-mt-3 js-import-url-error hide' },
      dismissible: false,
      close_button_options: { class: 'js-close-2fa-enabled-success-alert' }) do |c|
      = c.body do
        = s_('Import|There is not a valid Git repository at this URL. If your HTTP repository is not publicly accessible, verify your credentials.')
  = render_if_exists 'shared/ee/import_form', f: f, ci_cd_only: ci_cd_only
  .row
    .form-group.col-md-6
      = f.label :import_url_user, class: 'label-bold' do
        %span
          = _('Username (optional)')
      = f.text_field :import_url_user, value: import_url.user, class: 'form-control gl-form-input', required: false, autocomplete: 'new-password'

    .form-group.col-md-6
      = f.label :import_url_password, class: 'label-bold' do
        %span
          = _('Password (optional)')
      = f.password_field :import_url_password, class: 'form-control gl-form-input', required: false, autocomplete: 'new-password'
